<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
    "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
    "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
	<constant name="struts.devMode" value="false" />
	<constant name="struts.objectFactory" value="spring" />
	<constant name="struts.configuration.xml.reload" value="true" />
	<constant name="struts.locale" value="en_US" />
	<constant name="struts.i18n.encoding" value="iso-8859-1" />
	<constant name="struts.enable.DynamicMethodInvocation" value="true" />
	<constant name="struts.multipart.maxSize" value="20971520" />

	<package name="default" extends="struts-default,json-default"
		namespace="/">

		<action name="index">
			<result>/index.jsp</result>
		</action>

		<action name="error*" class="errorAction" method="{1}">
			<result name="success">/jsp/errorlogin.jsp</result>
			<result name="error">/jsp/error.jsp</result>
		</action>

		<action name="inicio*" class="inicioAction" method="{1}">

			<result name="success">/jsp/inicio.jsp</result>

			<result name="error_002" type="redirectAction">
				<param name="actionName">error</param>
				<param name="clave">002</param>
			</result>

		</action>

		<action name="uploadDocumentFrame"
			class="com.mx.dla.dda.contrato.common.actions.SubirDocumentoAction">
			<interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json">
			</result>
		</action>

	</package>

	<!--Actions relacionados con contratos suscripcion-->

	<package name="listado" namespace="/contrato/listado" extends="struts-default,json-default">

		<action name="irListado">
		    <param  name="pmn">${pmnReturn}</param>
			<result name="success">/jsp/dda/contrato/listado/listado.jsp</result>
		</action>

		<action name="getListado" class="com.mx.dla.dda.contrato.listado.actions.ListadoAction" >
			<result type="json" />
		</action>
		
		<action name="obtenerDocumentosCto" class="com.mx.dla.dda.contrato.listado.actions.ListadoAction" method="obtenerDocumentosCto" >
			<result type="json" />
		</action>

		<action name="getCatalogos" class="com.mx.dla.dda.contrato.listado.actions.ListadoAction" method="getCatalogosAction">
			<result type="json" />
		</action>
						
		<action name="*Archivo" class="com.mx.dla.dda.contrato.listado.actions.DescargarArchivoAction"
			    method="{1}">

			<result name="stream" type="stream">
				<!-- nombre del atributo del action que contiene el InputStream a devolver, 
					por defecto se considera inputStream -->
				<param name="inputName">documento</param>
				<!-- nombre del atributo con el tamaño del fichero -->
				<param name="contentLength">${contentLength}</param>
				<!-- mime type del fichero, también se podría usar un atributo. Por defecto 
					es text/plain -->
				<param name="contentType">${contentType}</param>
				<!-- el content disposition del header del response. En este ejemplo 
					vamos a usar un valor fijo pero tomando como nombre de archivo un atributo 
					del action -->
				<param name="contentDisposition">inline;filename="${contentName}"</param>
				<!-- Por defecto es true y habilita el "cacheo" del fichero en el navegador. 
					Si este puede ser variable conviene deshabilitarlo para evitar posibles efectos 
					colaterales -->
				<param name="allowCaching">false</param><!-- default true -->
			</result>
			<result type="json" name="success" />
		</action>

		<action name="agregarEnmOAden"
			class="com.mx.dla.dda.contrato.listado.actions.ListadoAction" method="agregarEnmOAden">			
			<result name="success" type="json" />
		</action>

		<action name="verContrato"
			class="com.mx.dla.dda.contrato.listado.actions.ListadoAction" method="verContrato">
			<result name="success" type="redirectAction">../../contrato/generales/index
			</result>
		</action>				

	</package>

		<!-- RFD DatoscontratoTitulo -->
	
	<package name="datosContratos" namespace="/reporte/reporteDatosContrato" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction">
			<result>/jsp/dda/reporte/datosContrato/reporteDatosContratoView.jsp</result>
		</action>
		
		<action name="obtenerDatosReporte"
			class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
			method="obtenerDatosReporte">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerContratos"
			class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
			method="obtenerContratos">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerSeriesyPeliculas"
			class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
			method="obtenerSeriesyPeliculas">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerTemporada"
			class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
			method="obtenerTemporada">
			<result name="TEMPORADAS" type="json" >
				<param name="root">temporadas</param>
			</result>
		</action>
			
		<action name="exportaReporte" 
		    class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
		    method="exportarReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteDatosContrato.xlsx"</param>
			</result>
		</action>
		
		<action name="exportaZip" 
		    class="com.mx.dla.dda.reporte.datosContrato.actions.ReporteDatosContratoAction"
		    method="exportarZip">
			<result name="success" type="stream">
				<param name="contentType">application/zip</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_DatosContrato.zip"</param>
			</result>
		</action>
		
		
	</package>
		
	
	<!-- FIN RFD Datos contratoTitulo -->
	
	<!-- rfd  -->
	
	<package name="descargaMasiva" namespace="/contrato/descargaMasivaTitulos" extends="struts-default,json-default">
		
		<action name="titulos" class="com.mx.dla.dda.contrato.titulo.actions.DescargaMasivaTitulosAction" >
			<result name="success">/jsp/dda/contrato/titulos/descargaMasivaTitulos.jsp</result>
		</action>
	<action name="generarReporteBActivos" 
			class="com.mx.dla.dda.contrato.titulo.actions.DescargaMasivaTitulosAction"
			method="generarReporte">
			<result type="json"></result>
		</action>
		
		<action name="descargarArchivo" class="com.mx.dla.dda.contrato.titulo.actions.DescargaMasivaTitulosAction" method="descargarArchivo">
			<result name="success" type="stream">
				<param name="contentType">application/zip</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>		
	</package>
	
	
	
	<!-- fin rfd -->
	
	
	
	
	
	
	
	
	<package name="generales" namespace="/contrato/generales" extends="struts-default,json-default">

		<action name="index" class="generalesAction">
			<result name="success">/jsp/dda/contrato/generales/generales.jsp
			</result>
		</action>

		<action name="opcionesContrato*" class="opcionesContratoAction"
			method="{1}">

			<result name="success">/jsp/dda/contrato/generales/generales.jsp
			</result>

			<result name="irGenerales" type="redirectAction">
				<param name="actionName">index</param>
				<param name="tipoMensaje">${tipoMensajeR}</param>
				<param name="mensajes">${mensajesR}</param>
			</result>

			<result name="elimina" type="redirectAction">
				<param name="actionName">../../contrato/listado/irListado</param>
				<param name="pmn">${pmn}</param>
				<param name="tipoContrato">${tipoContrato}</param>
			</result>
		</action>
		
		<action name="*TitulosBroadView" class="obtenerTitulosBroadViewAction"
		method="{1}">
			<result type="json"></result>
		</action>

		<action name="exponerApartados" class="exponerApartadosAction">
			<result type="json"></result>
		</action>
		
		<action name="validaCombo" class="validaComboAction">
			<result type="json"></result>
		</action>
		
		<action name="eliminaContrato" class="eliminaContratoAction">
			<result type="json"></result>
		</action>
		
		<action name="contratoProceso" class="contratoProcesoAction">
			<result type="json"></result>
		</action>
		
		<action name="obtenerPermisos" class="obtenerPermisosAction">
			<result type="json"></result>
		</action>
		
		<action name="cambiarAddendum" class="cambiarAddendumAction">
			<result name="success">/jsp/dda/contrato/generales/generales.jsp
			</result>
			
		</action>
		
		<action name="infoContrato" class="infoContratoAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_${fileName}.xlsx"</param>
			</result>
		</action>

	</package>

	<package name="contratoFees" namespace="/contrato/fees"
		extends="struts-default,json-default">

		<action name="index" class="com.mx.dla.dda.contrato.fees.actions.FeesAction" method="justificaciones">
			<result name="success">/jsp/dda/contrato/fees/feesContrato.jsp
			</result>
		</action>

		<action name="obtener" class="com.mx.dla.dda.contrato.fees.actions.FeesAction" method="obtener">
			<result name="success" type="json" />
			
		</action>

		<action name="verificarCategoriasTitulos" class="com.mx.dla.dda.contrato.fees.actions.FeesAction" method="verificarCategoriasTitulos">
			<result name="success" type="json" />
		</action>
		
		<action name="actualizarCostosTitulos" class="com.mx.dla.dda.contrato.fees.actions.FeesAction" method="actualizarCostosTitulos">
			<result name="success" type="json" />
		</action>

		<action name="*DatosFees" class="com.mx.dla.dda.contrato.fees.actions.FeesAction" method="{1}">
			<result name="success">/jsp/dda/contrato/fees/feesContrato.jsp
			</result>
		</action>

		<action name="cargaArchivo" method="cargaArchivo" class="com.mx.dla.dda.contrato.fees.actions.FeesArchivoAction">
			<result type="json">
			</result>
		</action>
		
		<action name="descargaTemplate" method="descargarTemplate" class="com.mx.dla.dda.contrato.fees.actions.FeesArchivoAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename=s.xlsx</param>
			</result>			
		</action>
		
		<action name="uploadDocumentFrame" class="com.mx.dla.dda.contrato.common.actions.SubirDocumentoAction">
			<interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json">
			</result>
		</action>

	</package>

	<package name="minimoSeleccion" namespace="/contrato/minimoSeleccion"
		extends="default">

		<action name="index" 
		    class="com.mx.dla.dda.contrato.minimoseleccion.actions.MinSeleccionAction" 
		    method="primeraCarga"> 	
	 		<result name="success">/jsp/dda/contrato/minimoSeleccion/minSeleccion.jsp	 
            </result>
		</action>
		
		<action name="cargaMinimosSeleccionData"
			class="com.mx.dla.dda.contrato.minimoseleccion.actions.MinSeleccionAction"
			method="obtenInformacion">
			<result type="json" />
		</action>
		
		<action name="guardaMinimosSeleccionData"
			class="com.mx.dla.dda.contrato.minimoseleccion.actions.MinSeleccionAction"
			method="guardaInformacion">
			<result type="json" />
		</action>

	</package>

	<package name="titulos" namespace="/contrato/titulos" extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAction">
			<result>/jsp/dda/contrato/titulo/index.jsp</result>
		</action>

		<action name="guardarCambiosPermanente" method="guardarCambiosPermanente"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAction">
			<result type="json">
			</result>
		</action>
		
		<action name="cargaMasiva" method="cargaMasiva"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAction">
			<result type="json">
			</result>
		</action>
		
		<action name="*TituloGrid" method="{1}"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloGridAction">
			<result type="json">
			</result>
		</action>
						
		<action name="*TituloAsync" method="{1}"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAsyncAction">
			<result type="json">
			</result>
		</action>
		
		<action name="*AmortizacionGrid" method="{1}"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAmortizacionGridAction">
			<result type="json">
			</result>
		</action>

		<action name="*TituloDescarga"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAction" method="{1}">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
		
		<action name="obtenTipoCarga" method="obtenTipoCargaDocumento"
			class="com.mx.dla.dda.contrato.titulo.actions.TituloAction">
			<result type="json">
			</result>
		</action>
		
	</package>

	<package name="terminos" namespace="/contrato/terminos" extends="struts-default,json-default">
		<action name="index*" class="com.mx.dla.dda.contrato.terminos.actions.ContratoTerminosAction" method="{1}">
			<result name="success">/jsp/dda/contrato/terminos/terminos.jsp</result>
			<result name="regresar" type="json" />
		</action>			
	</package>

	<package name="materiales" namespace="/contrato/materiales" extends="struts-default,json-default">

		<action name="uploadDocumentFrame"
			class="com.mx.dla.dda.contrato.common.actions.SubirDocumentoAction">
			<interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json">
			</result>
		</action>

		<action name="index"
			class="com.mx.dla.dda.contrato.materiales.actions.MaterialesAction">
			<result>/jsp/dda/contrato/materiales/materiales.jsp</result>
		</action>

	</package>
	

	<!-- Actions relacionados con cargas -->
	
	<package name="cargaSuscriptores" namespace="/carga/suscripcion" extends="struts-default,json-default">

		<action name="index">
			<result name="success">/jsp/dda/carga/suscriptor/cargaSuscriptores.jsp
			</result>
		</action>

		<action name="getCargaSuscriptores"
			class="com.mx.dla.dda.carga.suscriptor.actions.CargaSuscriptoresAction">
			<result type="json" />
		</action>
		

		<action name="actualizarSuscriptores"
			class="com.mx.dla.dda.carga.suscriptor.actions.CargaSuscriptoresAction"
			method="actualizarDatos">
			<result type="json" />
		</action>
		
		<action name="getCargaExcel"
			class="com.mx.dla.dda.carga.suscriptor.actions.CargaSuscriptoresAction"
			method="cargaExcel">
			<result type="json" />
		</action>
		
		<action name="descargarPlantilla" class="com.mx.dla.dda.carga.suscriptor.actions.DescargaPlantillaAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_plantillaCargaSuscrip.xlsx"</param>
			</result>
		</action>

	</package>


	<!--Actions relacionados con facturas -->
	
	<package name="listadoFacturas" namespace="/factura/listado"
		extends="struts-default,json-default">

		<action name="index">
			<result name="success">/jsp/dda/factura/listado/listado.jsp</result>
		</action>

		<action name="getEstudiosListadoFact"
			class="com.mx.dla.dda.factura.listado.actions.FacturaListadoAction"
			method="obtenerEstudios">
			<result type="json" />
		</action>

		<action name="getListadoFacturacion"
			class="com.mx.dla.dda.factura.listado.actions.FacturaListadoAction">
			<result type="json" />
		</action>

		<action name="operacionListado"
			class="com.mx.dla.dda.factura.listado.actions.FacturaListadoAction"
			method="operacionListado">
			<result name="success" type="json">/jsp/dda/factura/listado/listado.jsp
			</result> <!-- Accion para eliminar regrsa pantalla listado -->
			<result name="operacion" type="chain"> <!-- Accion nuevo, ver, editar -->
				<param name="actionName">facturacionGeneralCarga</param>
				<param name="namespace">/factura/general</param>
			</result>
		</action>

	</package>

	<package name="facturageneral" namespace="/factura/general" extends="struts-default,json-default">

		<action name="facturacionGeneralCarga" class="com.mx.dla.dda.factura.general.actions.FacturacionAction" method="cargaFacturaGeneral">
			<result name="success">/jsp/dda/factura/general/facturacion.jsp</result>
		</action>

		<action name="facturaGeneral" class="com.mx.dla.dda.factura.general.actions.FacturacionAction" method="cargaFacturaGeneral">
			<result type="json" />
		</action>
		
		<action name="facturacionGuarda" class="com.mx.dla.dda.factura.general.actions.FacturacionAction" method="guardaFactura">
			<result name="success">/jsp/dda/factura/general/facturacion.jsp</result>
		</action>

		<action name="facturacionDetalleCarga"
			class="com.mx.dla.dda.factura.general.actions.FacturacionAction"
			method="cargaFacturaDetalle">
			<result type="json" />
		</action>
		
		<action name="facturacionReenvioNotificacion"
			class="com.mx.dla.dda.factura.general.actions.FacturacionAction"
			method="reenvioNotificacion">
			<result type="json" />
		</action>
		
<!-- 		<action name="facturacionConsultaFactura"
			class="com.mx.dla.dda.factura.general.actions.FacturacionAction"
			method="consultaFactura">
			<result type="json" />
		</action>	 -->	

	</package>


	<!--Actions relacionados con Administracion -->
	<package name="catalogosEstudios" namespace="/catalogos/estudios" extends="struts-default,json-default">

		<action name="index" >
			<result name="success">/jsp/dda/admin/catalogos/estudios/catalogoEstudios.jsp</result>			
		</action>
		
		<action name="listadoEstudios" class="com.mx.dla.dda.admin.catalogos.estudios.actions.CatalogoEstudiosAction" method="listadoEstudios">
			<result type="json">
				<param name="root">catalogoEstudios</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>
						
		<action name="dirigirAgregarEstudio" class="com.mx.dla.dda.admin.catalogos.estudios.actions.CatalogoEstudiosAction" method="dirigirAgregarEstudio">
			<result name="success">/jsp/dda/admin/catalogos/estudios/agregarEstudio.jsp</result>
		</action>		

		<action name="agregarEstudio" class="com.mx.dla.dda.admin.catalogos.estudios.actions.CatalogoEstudiosAction" method="guardaEstudio">
			<result name="success">/jsp/dda/admin/catalogos/estudios/agregarEstudio.jsp</result>
		</action>

		<action name="llamaObtenEstudio" class="com.mx.dla.dda.admin.catalogos.estudios.actions.CatalogoEstudiosAction" method="obtneEstudio">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizaEstudio" class="com.mx.dla.dda.admin.catalogos.estudios.actions.CatalogoEstudiosAction" method="actualizaEstudioMod"> 
			<result type="json"></result>
		</action>		

	</package>

	<package name="catalogoPais" namespace="/catalogos/paises"
		extends="struts-default,json-default">

		<action name="index*"
			class="com.mx.dla.dda.admin.catalogos.pais.actions.CatalogoPaisAction"
			method="{1}">

			<result name="success">/jsp/dda/admin/catalogos/pais/catalogoPais.jsp
			</result>

			<result name="catalogoPaisLista" type="json">
				<param name="root">catalogoPais</param>
				<param name="excludeProperties">aData</param>
			</result>

			<result name="paisConsultado">/jsp/dda/admin/catalogos/pais/modificacionPais.jsp
			</result>

			<result name="irCrearPais">/jsp/dda/admin/catalogos/pais/crearPais.jsp
			</result>
		</action>

	</package>

	<package name="catalogosMateriales" namespace="/catalogos/materiales"
		extends="struts-default,json-default">

		<action name="index*"
			class="com.mx.dla.dda.admin.catalogos.materiales.actions.CatalogoMaterialesAction"
			method="{1}">

			<result name="success">/jsp/dda/admin/catalogos/materiales/catalogoMateriales.jsp
			</result>

			<result name="catalogoMaterialesLista" type="json">
				<param name="root">catalogoMateriales</param>
				<param name="excludeProperties">aData</param>
			</result>

		</action>

	</package>

	<package name="catalogosBolsas" namespace="/catalogos/bolsas" extends="struts-default,json-default">

		<action name="index*" class="com.mx.dla.dda.admin.catalogos.apartados.actions.ApartadosAction" method="{1}">

			<result name="success">/jsp/dda/admin/catalogos/apartados/listadoApartados.jsp </result>
									
			<result name="listado" type="json"/>						
			
		</action>
		
		<action name="altaApartado">
			<result name="success">/jsp/dda/admin/catalogos/apartados/apartadoAlta.jsp </result>								
		</action>		

	</package>
	

	<package name="Presupuestos" namespace="/presupuestos/catalogoPresupuestos" extends="struts-default,json-default">

		<action name="guardaMonto" class="com.mx.dla.dda.admin.presupuestos.actions.PresupuestosAction" method="guardaMonto">
		<result name="SUCCESS" type="json"/>
		</action>

		<action name="index*"
			class="com.mx.dla.dda.admin.presupuestos.actions.PresupuestosAction"
			method="{1}">
			<result name="success">/jsp/dda/admin/presupuestos/listadoPresupuestos.jsp</result>
			
			<result name="json" type="json"/>
		</action>
		
		<action name="irApartado" class="com.mx.dla.dda.admin.presupuestos.actions.PresupuestosAction" method="redirectEditPresupuesto">
			<result>/jsp/dda/admin/presupuestos/editarPresupuesto.jsp</result>
		</action>
		
	</package>
	
	<package name="catalogosAddOns" namespace="/catalogos/addons" extends="struts-default,json-default">
		<action name="index*" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" >
			<result name="success">/jsp/dda/admin/catalogos/estudiosAddons/catalogoEstudioAddons.jsp</result>
		</action>
		
		<action name="listadoEstudiosAddons" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" method="listadoEstudiosAddons">
			<result type="json">
				<param name="root">estudios</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>
		
		<action name="dirigirAgregarEstudio" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" method="dirigirAgregarEstudio">
			<result name="success">/jsp/dda/admin/catalogos/estudiosAddons/agregarEstudio.jsp</result>
		</action>		

		<action name="agregarEstudio" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" method="guardaEstudio">
			<result name="success">/jsp/dda/admin/catalogos/estudiosAddons/catalogoEstudioAddons.jsp</result>
		</action>
		
		<action name="llamaObtenAddon" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" method="obtnenAddon">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizaAddon" class="com.mx.dla.dda.admin.catalogos.addons.actions.EstudiosAddOnAction" method="actualizaAddonMod"> 
			<result type="json"></result>
		</action>	
		
	</package>
	
	<package name="catalogosPreciosAddOns" namespace="/catalogos/preciosAddons" extends="struts-default,json-default">
		<action name="index" >
			<result name="success">/jsp/dda/admin/catalogos/preciosAddons/catalogoAddOns.jsp</result>
		</action>
		
		<action name="listadoAddOns" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="listadoAddOns">
			<result type="json">
				<param name="root">catalogoAddOns</param>
				<param name="excludeProperties">aData</param>
			</result>
		</action>
		
		<action name="dirigirAgregarAddOn" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="dirigirAgregarAddOn">
			<result name="success">/jsp/dda/admin/catalogos/preciosAddons/agregarAddOn.jsp</result>
		</action>

		<action name="agregarAddOn" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="guardaAddOn">
			<result name="success">/jsp/dda/admin/catalogos/preciosAddons/catalogoAddOns.jsp</result>
		</action>
		
		<action name="eliminaprecioAddOn" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="eliminaprecioAddOn">
			<result type="json"></result>
		</action>

		<action name="llamaObtenAddOn" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="obtnerAddOn">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizarAddOn" class="com.mx.dla.dda.admin.catalogos.addons.actions.CatalogoAddOnsAction" method="actualizaAddOnMod">
			<result type="json"></result>
		</action>
		
	</package>
	
	<package name="catalogosTipoCambioAddOns" namespace="/catalogos/tipoCambioAddOns" extends="struts-default,json-default">
		<action name="index">
			<result name="success">/jsp/dda/admin/catalogos/tipoCambioAddOns/catalogoTipoCambioAddOns.jsp
			</result>
		</action>

		<action name="tipoCambioAddOns" class="com.mx.dla.dda.admin.catalogos.tipoCambioAddOns.actions.TipoCambioAddOnsAction" method="obtenerLista">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="mesTipo" class="com.mx.dla.dda.admin.catalogos.tipoCambioAddOns.actions.TipoCambioAddOnsAction" method="obtenerMesTipo">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="guardarCambio" class="com.mx.dla.dda.admin.catalogos.tipoCambioAddOns.actions.TipoCambioAddOnsAction" method="guardarCambio">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<!-- RFD agrega funcionalidad para carga masiva de tipos de cambio  -->
		<action name="cargaMasiva" method="cargaMasiva"
			class="com.mx.dla.dda.admin.catalogos.tipoCambioAddOns.actions.TipoCambioAddOnsAction">
			<result type="json">
			</result>
		</action>
		
		<!-- RFD agrega funcionalidad para la descarga de plantilla basado en el estudio seleccionado -->
		<action name="exportaReporte" 
		    class="com.mx.dla.dda.admin.catalogos.tipoCambioAddOns.actions.TipoCambioAddOnsAction"
		    method="exportarReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="PlantillaTipoCambioAddOns.xlsx"</param>
			</result>
		</action>
		
	</package>
	

	<!--Actions relacionados con reportes -->
	
	<package name="amortizacionReportePpto" namespace="/reporte/amortizacionppto" extends="struts-default,json-default">
		
		<action name="index"
			class="com.mx.dla.dda.reporte.amortizacion.presupuesto.actions.ReporteAmortvsPptoAction">
			<result name="success">/jsp/dda/reporte/amortizacion/reporteAmortizacionPpto.jsp</result>
		</action>
		
		<action name="obtenerReporteAmortPpto" class="com.mx.dla.dda.reporte.amortizacion.presupuesto.actions.ReporteAmortvsPptoAction" method="obtenerReporteAmortPpto">
			<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="descargaReporte" class="com.mx.dla.dda.reporte.amortizacion.presupuesto.actions.ReporteAmortvsPptoAction" method="descargaReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>
		
		<action name="descargaObjArchivo" class="com.mx.dla.dda.reporte.amortizacion.presupuesto.actions.ReporteAmortvsPptoAction" method="descargaObjArchivo">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	            <param name="contentType">application/json;charset=UTF-8</param>
	        </interceptor-ref>
	        
	        <result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
			    <param name="inputName">fileInputStream</param>
			</result>
		</action>
		
	</package>
	
	<package name="reporteAcumulateBuys" namespace="/reporte/acumulatebuys" extends="struts-default,json-default">
		
		<action name="index"
			class="com.mx.dla.dda.reporte.acumulateBuys.actions.ReporteAcumulateBuysAction">
			<result name="success">/jsp/dda/reporte/acumulateBuys/ReporteAcumulateBuys.jsp</result>
		</action>
		
		<action name="obtenEstudios" class="com.mx.dla.dda.reporte.acumulateBuys.actions.ReporteAcumulateBuysAction" method="obtenEstudios">
			<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenEstudiosConfigurados" 
			class="com.mx.dla.dda.reporte.acumulateBuys.actions.ReporteAcumulateBuysAction"
			method="obtenEstudiosConfigurados">
			<result type="json"></result>
		</action>
		
		<action name="reporteAcumulateBuys" class="com.mx.dla.dda.reporte.acumulateBuys.actions.ReporteAcumulateBuysAction" method="reporteAcumulateBuys">
			<interceptor-ref name="json">
	        	    <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="generaExcelAcumulateBuys" 
		    class="com.mx.dla.dda.reporte.acumulateBuys.actions.ReporteAcumulateBuysAction"
		    method="generaExcelAcumulateBuys">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_AcumulateBuys.xlsx"</param>
			</result>
		</action>
		
	</package>
	
	
	<package name="amortizacionReporte" namespace="/reporte/amortizacion"
		extends="struts-default,json-default">
		
		<action name="index"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="obtenerEstudios">
			<result name="success">/jsp/dda/reporte/amortizacion/reporteAmortizacion.jsp
			</result>
		</action>
		
		<action name="obtenerContratosListado"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="obtenerContratos">
			<result type="json" />
		</action>

		<action name="cargaInicialReporte"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaInicialReporteAmortizacion">
			<result type="json" />
		</action>

		<action name="cargaTitulosMontoContrato"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaMontoTitulosPorContrato">
			<result type="json" />
		</action>
		
		<action name="indexSAP"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="obtenerEstudios">
			<result name="success">/jsp/dda/reporte/amortizacion/reporteAmortizacionSAP.jsp
			</result>
		</action>
		
		<action name="indexSAPDLA"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="obtenerEstudios">
			<result name="success">/jsp/dda/reporte/amortizacion/reporteAmortizacionSAPDLA.jsp
			</result>
		</action>
		
		<action name="cargaInicialReporteSAPDLA"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaInicialReporteAmortizacionSAPDLA">
			<result type="json" />
		</action>

		<action name="cargaInicialReporteSAP"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaInicialReporteAmortizacionSAP">
			<result type="json" />
		</action>

		<action name="cargaTitulosMontoContratoSAP"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaMontoTitulosPorContratoSAP">
			<result type="json" />
		</action>
		
		<action name="cargaTitulosMontoContratoSAPDLA"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ReporteAmortizacionAction"
			method="cargaMontoTitulosPorContratoSAPDLA">
			<result type="json" />
		</action>			
						
		<action name="excelAmortizacion"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ExcelAmortizacionAction"
			method="descargarArchivoSAP">			
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteAmortizacion.xlsx"</param>
			</result>			
		</action>
		<action name="excelAmortizacionCON"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ExcelAmortizacionAction"
			method="descargarArchivoSAPDLA">			
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteAmortizacionConciliacion.xlsx"</param>
			</result>			
		</action>
	</package>

	<package name="reporteSuscriptores" namespace="/reporte/suscriptores"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.reporte.pagoSuscriptores.actions.ReportePagoSuscriptoresAction"
			method="cargaReporte">
			<result name="success">/jsp/dda/reporte/pagoSuscriptores/reportePagoSuscriptores.jsp
			</result>
		</action>

		<action name="reportePagoSuscriptoresConsulta"
			class="com.mx.dla.dda.reporte.pagoSuscriptores.actions.ReportePagoSuscriptoresAction"
			method="consultaReporte">
			<result type="json" />
		</action>

	</package>

	<package name="reportePagoTransacciones" namespace="/reporte/pagoTransacciones"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.reporte.pagosTransaccion.actions.PagoTransaccionAction">
			<result>/jsp/dda/reporte/pagosTransaccion/pagosTx.jsp</result>
		</action>

		<action name="*pagosTXAjax" method="{1}"
			class="com.mx.dla.dda.reporte.pagosTransaccion.actions.PagoTransaccionAction">
			<result type="json">
			</result>
		</action>
	</package>

	<package name="reportePagoTransaccionesH" namespace="/reporte/pagoTransaccionesH"
		extends="struts-default,json-default">
		<action name="index"
			class="com.mx.dla.dda.reporte.pagosTransaccion.actions.PagoTransaccionHistoricoAction">
			<result>/jsp/dda/reporte/pagosTransaccion/pagosTXH.jsp</result>
		</action>
		<action name="*pagosTXHAjax" method="{1}"
			class="com.mx.dla.dda.reporte.pagosTransaccion.actions.PagoTransaccionHistoricoAction">
			<result type="json">
			</result>
		</action>
	</package>
	
	<package name="amortizacionReporteBActivos" namespace="/reporte/amortizacionBActivos" extends="default">

		<action name="index"
			class="com.mx.dla.dda.reporte.amortizacion.baseActivos.actions.BaseActivosAction"
			method="primeraCarga">
			<result  name="success">/jsp/dda/reporte/amortizacion/reporteAmortizacionBActivos.jsp</result>
		</action>

		<action name="generarReporteBActivos" 
			class="com.mx.dla.dda.reporte.amortizacion.baseActivos.actions.BaseActivosAction"
			method="generarReporte">
			<result type="json"></result>
		</action>
		
		<action name="descargarArchivo" class="com.mx.dla.dda.reporte.amortizacion.baseActivos.actions.BaseActivosAction" method="descargarArchivo">
			<result name="success" type="stream">
				<param name="contentType">application/zip</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="${fileFileName}"</param>
			</result>
		</action>		
		
	</package>

	
	<!--Actions otros-->
	
	<package name="catalogosTipoCambio" namespace="/catalogos/tipoCambio" extends="struts-default,json-default">

		<action name="index">
			<result name="success">/jsp/dda/admin/catalogos/tipoCambio/catalogoTipoCambio.jsp
			</result>
		</action>

		<action name="tipoCambio" class="com.mx.dla.dda.admin.catalogos.tipoCambio.actions.TipoCambioAction" method="obtenerLista">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="mesTipo" class="com.mx.dla.dda.admin.catalogos.tipoCambio.actions.TipoCambioAction" method="obtenerMesTipo">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>
		
		<action name="guardarCambio" class="com.mx.dla.dda.admin.catalogos.tipoCambio.actions.TipoCambioAction" method="guardarCambio">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
	        <result type="json"/>
		</action>

	</package>

	<package name="contratoBroadview" namespace="/contrato/broadview"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.contrato.broadview.actions.ContratoBroadviewAction"
			method="load">
			<result name="success">/jsp/dda/contrato/broadview/broadview.jsp
			</result>
		</action>

		<action name="cargaBroadviewData"
			class="com.mx.dla.dda.contrato.broadview.actions.ContratoBroadviewAction"
			method="cargaInfoListas">
			<result type="json" />
		</action>

		<action name="guardaBroadviewContrato"
			class="com.mx.dla.dda.contrato.broadview.actions.ContratoBroadviewAction"
			method="actualizaBroadviewContrato">
			<result type="json" />
		</action>

		<action name="cargaBroadviewContrato"
			class="com.mx.dla.dda.contrato.broadview.actions.ContratoBroadviewAction"
			method="consultaBroadviewContrato">
			<result type="json" />
		</action>

		<action name="guardaDDATitulos"
			class="com.mx.dla.dda.contrato.broadview.actions.ContratoBroadviewAction"
			method="actualizaTitulosDDA">
			<result type="json" />
		</action>

	</package>

	<package name="excelTableReport" namespace="/excelTableReport"
		extends="struts-default,json-default">

		<action name="export"
			class="com.mx.dla.dda.excelMapper.action.ExcelMapperAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporte.xlsx"</param>
			</result>
		</action>

	</package>

	<package name="condicionesTransaccion" namespace="/contrato/condicionesTransaccion"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.contrato.condicionesTransaccion.actions.CondicionesTransaccionAction">
			<result name="success">/jsp/dda/contrato/condicionesTransaccion/condicionesTransaccion.jsp
			</result>
		</action>

		<action name="condicionesTransaccionGuardar"
			class="com.mx.dla.dda.contrato.condicionesTransaccion.actions.GuardarTransaccionAction">
			<result type="json" />
		</action>

		<action name="obtenerCatalogosCondicionesTransaccion"
			class="com.mx.dla.dda.contrato.condicionesTransaccion.actions.CatalogosTransaccionAction">
			<result type="json" />
		</action>

	</package>

	<package name="contratoDeal" namespace="/contrato/deal"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.contrato.deal.actions.ContratoDealAction"
			method="load">
			<result name="success">/jsp/dda/contrato/deal/deal.jsp</result>
		</action>

		<action name="dealUpdate"
			class="com.mx.dla.dda.contrato.deal.actions.ContratoDealAction"
			method="save">
			<result name="success">/jsp/dda/contrato/deal/deal.jsp</result>
		</action>

		<action name="uploadDocumentFrame"
			class="com.mx.dla.dda.contrato.common.actions.SubirDocumentoAction">
			<interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json">
			</result>
		</action>

	</package>
	
	<package name="minimum" namespace="/contrato/minimum" extends="struts-default,json-default">

		<!-- Se debe llamara primero a este action para acceder a la pantalla de 
			minimums -->
		<action name="index"
			class="com.mx.dla.dda.contrato.minimum.actions.MinimumAction" method="obtenerJustificaciones">
			<result name="success" type="chain">irMinimum</result>
		</action>

		<action name="irMinimum">
			<result name="success">/jsp/dda/contrato/minimum/minimum.jsp</result>
		</action>

		<action name="getInfoMinimums"
			class="com.mx.dla.dda.contrato.minimum.actions.MinimumAction">
			<result type="json" />
		</action>

		<action name="actualizar"
			class="com.mx.dla.dda.contrato.minimum.actions.MinimumAction" method="actualizarMinimuns">
			<result type="json" />
		</action>

	</package>
	
	<package name="condicionesLicense" namespace="/contrato/condicionesLicense"
		extends="struts-default,json-default">

		<action name="index"
			class="com.mx.dla.dda.contrato.condicionesLicense.actions.CondicionesLicenseAction">
			<result>/jsp/dda/contrato/condicionesLicense/condicionesLicense.jsp
			</result>
		</action>

		<action name="*ConLicense" method="{1}"
			class="com.mx.dla.dda.contrato.condicionesLicense.actions.CondicionesLicenseAction">
			<result type="json">
			</result>
		</action>

	</package>
	
	<package name="amortizacion" namespace="/contrato/amortizacion"
		extends="struts-default,json-default">

		<action name="index" class="com.mx.dla.dda.contrato.amortizacion.actions.AmortizacionAction">
			<result>/jsp/dda/contrato/amortizacion/amortizacion.jsp</result>
		</action>

		<action name="*AmortizacionAction" method="{1}"
			class="com.mx.dla.dda.contrato.amortizacion.actions.AmortizacionAction">
			<result type="json">
			</result>
		</action>

		<action name="excelAmortizacion"
			class="com.mx.dla.dda.reporte.amortizacion.actions.ExcelAmortizacionAction"
			method="descargarArchivo">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteAmortizacion.xlsx"</param>
			</result>
		</action>

	</package>
	
	<package name="bdeal" namespace="/contrato/bdeal" extends="struts-default,json-default">
		
		<action name="index" class="com.mx.dla.dda.contrato.bdeal.actions.BdealAction">
			<result>/jsp/dda/contrato/bdeal/bdeal.jsp</result>
		</action>
		
		<action name="exportarTitulosBdeal" class="com.mx.dla.dda.contrato.bdeal.actions.ExportarTitulosBdealAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="ddaTitulos${fileName}.xlsx"</param>
			</result>
		</action>
		
		<action name="subirDocumentoBdeal" class="com.mx.dla.dda.contrato.bdeal.actions.SubirDocumentoBdealAction">
			<result type="json"></result>
		</action>
		
	</package>
	
	<package name="reportePago" namespace="/reporte/reportePago" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoAction">
			<result>/jsp/dda/reporte/pago/reportePago.jsp</result>
		</action>
	
		<action name="reportePagoInfo" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoInfoAction">
			<result type="json"></result>
		</action>
		
		<action name="detalleContrato" class="com.mx.dla.dda.reporte.pago.actions.DetalleContratoAction">
			<result type="json"></result>
		</action>
		
		<action name="reportePagoExcel" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoExcelAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteContratoPago_${fileName}.xlsx"</param>
			</result>
		</action>
		
	</package>
	
	<package name="reporteMovimientos" namespace="/reporte/movimientos" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.movimientos.actions.ReporteMovimientosAction">
			<result>/jsp/dda/reporte/movimientos/reporteMovimientos.jsp</result>
		</action>
	
		<action name="*MovimientosAction" method="{1}"
			class="com.mx.dla.dda.reporte.movimientos.actions.ReporteMovimientosAction">
			<result type="json">
			</result>
		</action>
		
		<action name="reporteMovimientos" class="com.mx.dla.dda.reporte.movimientos.actions.ReporteMovimientosExcelAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteMovimientos_${fileName}.xlsx"</param>
			</result>
		</action>
		
	</package>
	
	<package name="catalogosGrupos" namespace="/catalogos/grupos" extends="struts-default,json-default">
		
		<action name="index">
			<result>/jsp/dda/admin/catalogos/grupos/catalogosGrupos.jsp</result>
		</action>
		
		<action name="obtenerInfoGrupos" class="com.mx.dla.dda.admin.catalogos.grupoestudio.actions.GrupoEstudioAction" method="obtnerGrupos">
			<result name="regresaInformacion" type="json">
				<param name="root">grupos</param>
				<param name="excludeProperties">aData</param>
			</result>
		</action>
		
		<action name="llamaObtenGrupo" class="com.mx.dla.dda.admin.catalogos.grupoestudio.actions.GrupoEstudioAction" method="obtneGrupo">
			<result type="json"></result>
		</action>
		
		<action name="llamaRegistraActualiza" class="com.mx.dla.dda.admin.catalogos.grupoestudio.actions.GrupoEstudioAction" method="registraActualiza"> 
			<result type="json"></result>
		</action>
		
		<action name="getInfoSession" class="com.mx.dla.dda.admin.catalogos.grupoestudio.actions.InfoSessionAction"> 
			<result type="json"></result>
		</action>
		
	</package>
	
	<package name="usuarioPerfil" namespace="/admin/usuarios/perfil" extends="struts-default,json-default">
		
		<action name="index" class="com.mx.dla.admin.usuarios.perfil.actions.UsuarioPerfilAction">
			<result name="success">/jsp/dda/admin/usuarios/perfiles/usuarioPerfil.jsp</result>
		</action>
		
		<action name="llamaActualizaPropiedades" class="com.mx.dla.admin.usuarios.perfil.actions.UsuarioPerfilAction" method="actulizaPropiedadesUsuario"> 
			<result type="json"></result>
		</action>
		
	</package>
	
	
			<!--Actions relacionados con facturas -->
	
 	<package name="listadoNotasCredito" namespace="/ncredito/listado"
		extends="struts-default,json-default">

		<action name="index">
			<result name="success">/jsp/dda/ncredito/listado/listadoNotasCredito.jsp</result>
		</action>

		<action name="obtenerEstudiosListado"
			class="com.mx.dla.dda.ncredito.listado.actions.NotaCreditoListadoAction"
			method="obtenerEstudios">
			<result type="json" />
		</action>

		<action name="obtenerNotasCreditoListado"
			class="com.mx.dla.dda.ncredito.listado.actions.NotaCreditoListadoAction">
			<result type="json" />
		</action>

		<action name="operarSobreNotaCredito"
			class="com.mx.dla.dda.ncredito.listado.actions.NotaCreditoListadoAction"
			method="operarNotaCredito">
			
			<result name="success" type="json">/jsp/dda/ncredito/listado/listadoNotasCredito.jsp
			</result> 
			
			<result name="operacion" type="chain"> Accion nuevo, ver, editar
				<param name="actionName">obtenerGeneralNotaCredito</param>
				<param name="namespace">/ncredito/general</param>
			</result>
		</action>
	</package>

	<package name="generalNotasCredito" namespace="/ncredito/general" extends="struts-default,json-default">

		<action name="obtenerGeneralNotaCredito" class="com.mx.dla.dda.ncredito.general.actions.NotaCreditoAction" method="cargarNotaCreditoGeneral">
			<result name="success">/jsp/dda/ncredito/general/generalNotaCredito.jsp</result>
		</action>

		<action name="guardarNotaCredito" 
		class="com.mx.dla.dda.ncredito.general.actions.NotaCreditoAction" 
		method="guardarNotaCredito">
			<result type="json" />
		</action>

		<action name="obtenerDetalleNotaCredito"
			class="com.mx.dla.dda.ncredito.general.actions.NotaCreditoAction"
			method="cargarNotaCreditoDetalle">
			<result type="json" />
		</action>

	</package> 
	
	<package name="facturas" namespace="/contrato/facturas" extends="struts-default,json-default">

<!-- 		<action name="uploadDocumentFrame"
			class="com.mx.dla.dda.contrato.common.actions.SubirDocumentoAction">
			<interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json">
			</result>
		</action> -->

		<action name="index"
			class="com.mx.dla.dda.contrato.facturas.actions.FacturasAction">
			<result>/jsp/dda/contrato/facturas/facturas.jsp</result>
		</action>

	</package>

	<package name="notasDeCredito" namespace="/contrato/notasDeCredito" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.contrato.notasDeCredito.actions.NotasDeCreditoAction">
			<result>/jsp/dda/contrato/notasDeCredito/notasDeCredito.jsp</result>
		</action>
	</package>

	<package name="reporteCostPerView" namespace="/reporte/reporteCostPerView" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction">
			<result>/jsp/dda/reporte/cpview/reporteCostoPerView.jsp</result>
		</action>
		
		<action name="visualizaciones" class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction">
			<result>/jsp/dda/reporte/cpview/visualizacionesCostoPerView.jsp</result>
		</action>		
		
		<action name="obtenerDatosReporteMensual"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerDatosReporteMensual">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerDatosReporteAnual"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerDatosReporteAnual">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="exportaReporte" 
		    class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
		    method="exportarReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteCostPerView.xlsx"</param>
			</result>
		</action>
		
		<action name="cargarArchivo"
		    class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
		    method="procesarArchivoVisualizacionesCarga">
		    <interceptor-ref name="fileUpload" />
			<interceptor-ref name="basicStack" />
			<result type="json"></result>
		</action>
		
		<action name="obtenerDatosCargaVisualizacionesMensual"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerDatosCargaVisualizacionesMensual">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="descargarPlantilla" 
		    class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
		    method="descargarPlantilla">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_plantillaCVS.xlsx"</param>
			</result>
		</action>
		
		<action name="descargarVisualizaciones" 
		    class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
		    method="descargarVisualizaciones">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_cargaVSError.xlsx"</param>
			</result>
		</action>	
		
		<action name="obtenerDatosCargaVisualizacionesPrincipal"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerDatosCargaVisualizacionesPrincipal">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		
		<action name="obtenerSeriesyPeliculas"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerSeriesyPeliculas">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
				
			
		</action>
		
		<action name="obtenerTemporada"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="obtenerTemporada">
			<result name="TEMPORADAS" type="json" >
				<param name="root">temporadas</param>
			</result>
		</action>
		
		
		
		<action name="inicializaCatalogos"
			class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
			method="inicializaCatalogos">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="exportaZip" 
		    class="com.mx.dla.dda.reporte.cpview.actions.ReporteCostoPerViewAction"
		    method="exportarZip">
			<result name="success" type="stream">
				<param name="contentType">application/zip</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_costPerView.zip"</param>
			</result>
		</action>		
	</package>
	
    <package name="reporteOveragesYPayments"  namespace="/reporte/overagespayments" extends="struts-default,json-default"> 
    <!-- namespace="/reporte/reporteOveragesYPayments"  -->
		
		<action name="index" class="com.mx.dla.dda.reporte.oyp.actions.ReporteOveragesYPaymentsViewAction">
			<result>/jsp/dda/reporte/oyp/reporteOveragesYPyamentsView.jsp</result>
		</action>
		
		<action name="obtenerDatosReporte"
			class="com.mx.dla.dda.reporte.oyp.actions.ReporteOveragesYPaymentsViewAction"
			method="obtenerDatosReporte">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerEstudios"
			class="com.mx.dla.dda.reporte.oyp.actions.ReporteOveragesYPaymentsViewAction"
			method="obtenerEstudios">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		
		<action name="exportaReporte" 
		    class="com.mx.dla.dda.reporte.oyp.actions.ReporteOveragesYPaymentsViewAction"
		    method="exportarReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_overage.xlsx"</param>
			</result>
		</action>
	
	</package>
	
	<package name="configuracionReportes" namespace="/reporte/configuracionReportes" extends="default">

		<action name="index"
			class="com.mx.dla.dda.reporte.configuracion.actions.ConfiguracionReportesAction"
			method="primeraCarga">
			<result  name="success">/jsp/dda/reporte/configuracion/configuracionReportes.jsp</result>
		</action>

		<action name="getCatalogos" class="com.mx.dla.dda.reporte.configuracion.actions.ConfiguracionReportesAction" method="getCatalogosAction">
			<result type="json" />
		</action>
		
		<action name="guardaConfiguracion" 
			class="com.mx.dla.dda.reporte.configuracion.actions.ConfiguracionReportesAction"
			method="guardaConfiguracion">
			<result type="json"></result>
		</action>
		
		<action name="consultaConfiguracion" 
			class="com.mx.dla.dda.reporte.configuracion.actions.ConfiguracionReportesAction"
			method="consultaConfiguracion">
			<result type="json"></result>
		</action>
		
			
	</package>
	
	<package name="reporteRevenueYSplits"  namespace="/reporte/revenuesplits" extends="struts-default,json-default"> 
    <!-- namespace="/reporte/reporteOveragesYPayments"  -->
		
		<action name="index" class="com.mx.dla.dda.reporte.rys.actions.ReporteRevenueYSplitsViewAction">
			<result>/jsp/dda/reporte/rys/reporteRevenueYSplitsView.jsp</result>
		</action>
		
		<action name="obtenerDatosReporte"
			class="com.mx.dla.dda.reporte.rys.actions.ReporteRevenueYSplitsViewAction"
			method="obtenerDatosReporte">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		<action name="obtenerEstudios"
			class="com.mx.dla.dda.reporte.rys.actions.ReporteRevenueYSplitsViewAction"
			method="obtenerEstudios">
			<interceptor-ref name="json">
	            <param name="enableSMD">true</param>
	        </interceptor-ref>
			<result type="json" />
		</action>
		
		
		<action name="exportaReporte" 
		    class="com.mx.dla.dda.reporte.rys.actions.ReporteRevenueYSplitsViewAction"
		    method="exportarReporte">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="dda_revenue.xlsx"</param>
			</result>
		</action>
	
	</package>
	
	<package name="bloqueoSAP" namespace="/admin/bloqueoSAP"
		extends="struts-default,json-default">

		<action name="index*"
			class="com.mx.dla.dda.admin.bloqueo.actions.BloqueoSAPAction"
			method="{1}">

			<result name="success">/jsp/dda/admin/bloqueoSAP/bloqueoSAP.jsp
			</result>

			<result name="catalogoPaisLista" type="json">
				<param name="root">listaFechas</param>
				<param name="excludeProperties">aData</param>
			</result>

			
		</action>
		
		<action name="ejecuta"
			class="com.mx.dla.dda.admin.bloqueo.actions.BloqueoSAPAction"
			method="ejecutaBloqueoSAP">
			<result type="json" />
		</action>
		

	</package>

	<package name="reporteContingencia" namespace="/admin/reporteContingencia" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoAction">
			<result>/jsp/dda/admin/interfazCont/reporteContingencia.jsp</result>
		</action>
	
		<action name="reporteContInf" class="com.mx.dla.dda.reporte.pago.actions.ReporteContingenciaAction">
			<result type="json"></result>
		</action>
		
		<action name="detalleContrato" class="com.mx.dla.dda.reporte.pago.actions.DetalleContratoAction">
			<result type="json"></result>
		</action>
		
		<action name="reporteContingenciaExcel" class="com.mx.dla.dda.reporte.pago.actions.ReporteContingenciaExcelAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteContingencia_${fileName}.xlsx"</param>
			</result>
		</action>
		
		<action name="notificaSAP" class="com.mx.dla.dda.reporte.pago.actions.ReporteContingenciaNotificaAction">
			<result type="json"></result>
		</action>
	</package>
	
	
	<package name="revenuePorc" namespace="/admin/revenuePorc"
		extends="struts-default,json-default">

		
		<action name="index" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoAction">
		
			<result name="success">/jsp/dda/admin/revenuePorc/revenueSH.jsp
			</result>

			<result name="catalogoPaisLista" type="json">
				<param name="root">listaFechas</param>
				<param name="excludeProperties">aData</param>
			</result>

			
		</action>
		
		<action name="ejecuta"
			class="com.mx.dla.dda.admin.revenue.actions.RevenuePorcAction"
			method="ejecutaSP">
			<result type="json" />
		</action>
		
		<action name="detalleContrato" class="com.mx.dla.dda.reporte.pago.actions.DetalleContratoAction">
			<result type="json"></result>
		</action>
	</package>
	
	
	<package name="addonsRepotRS" namespace="/admin/addonsRS" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoAction">
			<result>/jsp/dda/admin/suscriptoresMensuales/suscriptoresMensuales.jsp</result>
		</action>
	
		<action name="reporteSusc" class="com.mx.dla.dda.reporte.pago.actions.ReporteSuscriptoresAction">
			<result type="json"></result>
		</action>
	
		
		<action name="reporteSuscriptoresExcel" class="com.mx.dla.dda.reporte.pago.actions.ReporteSuscriptoresExcelAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporte_${fileName}.xlsx"</param>
			</result>
		</action>
		
		<action name="notificaSAP" class="com.mx.dla.dda.reporte.pago.actions.ReporteContingenciaNotificaAction">
			<result type="json"></result>
		</action>
	</package>
	
	<package name="addonsRepotRM" namespace="/admin/addonsRM" extends="struts-default,json-default">
	
		<action name="index" class="com.mx.dla.dda.reporte.pago.actions.ReportePagoAction">
			<result>/jsp/dda/admin/suscriptoresMensuales/calculoMensualAddOns.jsp</result>
		</action>
	
		<action name="reporteCalc" class="com.mx.dla.dda.reporte.pago.actions.ReporteCargaEPAction">
			<result type="json"></result>
		</action>
		
		<action name="guardarHistorico" class="com.mx.dla.dda.reporte.pago.actions.ReporteCargaEPAction" method="guardarHistorico">
			<result type="json"></result>
		</action>
	
		
		<action name="reporteSuscriptoresExcel" class="com.mx.dla.dda.reporte.pago.actions.ReporteSuscriptoresExcelAction">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporte_${fileName}.xlsx"</param>
			</result>
		</action>
		
		<action name="notificaSAP" class="com.mx.dla.dda.reporte.pago.actions.ReporteContingenciaNotificaAction">
			<result type="json"></result>
		</action>
	</package>
	<!-- catalogos  para reportes transacciones-->
	<package name="estudiosTrans" namespace="/catalogos/estudiosTrans" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" >
			<result name="success">/jsp/dda/admin/catalogos/estudiosTrans/catalogoEstudioTrans.jsp</result>
		</action>
		
		<action name="listadoEstudiosTrans" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="listadoEstudiosTrans">
			<result type="json">
				<param name="root">estudiosTrans</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>
		
		<action name="dirigirAgregarEstudioTrans" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="dirigirAgregar">
			<result name="success">/jsp/dda/admin/catalogos/estudiosTrans/agregarEstudioTrans.jsp</result>
		</action>
		
		<action name="agregarEstudioTrans" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="guardaEstudioTrans">
			<result name="success">/jsp/dda/admin/catalogos/estudiosTrans/catalogoEstudioTrans.jsp</result>
		</action>
		
		<action name="eliminaEstudioTrans" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="eliminaEstudioTrans">
			<result type="json"></result>
		</action>
		
		<action name="llamaObtenEstudio" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="llamaObtenEstudio">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizaEstudio" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.EstudiosTransAction" method="llamaActualizaEstudio"> 
			<result type="json"></result>
		</action>
		
	</package>
	
	<package name="categorias" namespace="/catalogos/categorias" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" >
			<result name="success">/jsp/dda/admin/catalogos/categorias/catalogoCategorias.jsp</result>
		</action>
		
		<action name="listadoCategorias" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="listadoCategorias">
			<result type="json">
				<param name="root">categorias</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>
		
		<action name="dirigirAgregarCategoria" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="dirigirAgregar">
			<result name="success">/jsp/dda/admin/catalogos/categorias/agregarCategoria.jsp</result>
		</action>
		
		<action name="agregarCategoria" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="guardaCategoria">
			<result name="success">/jsp/dda/admin/catalogos/categorias/catalogoCategorias.jsp</result>
		</action>
		
		<action name="eliminaCategoria" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="eliminaCategoria">
			<result type="json"></result>
		</action>
		
		<action name="llamaObtenCategorias" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="llamaObtenCategorias">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizaCategoria" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.CategoriasAction" method="llamaActualizaCategoria">
			<result type="json"></result>
		</action>
		
	</package>
	
	<package name="excepciones" namespace="/catalogos/excepciones" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" >
			<result name="success">/jsp/dda/admin/catalogos/excepciones/catalogoExcepciones.jsp</result>
		</action>
		
		<action name="listadoExcepciones" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="listadoExcepciones">
			<result type="json">
				<param name="root">excepciones</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>
		
		<action name="dirigirAgregarExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="dirigirAgregar">
			<result name="success">/jsp/dda/admin/catalogos/excepciones/agregarExcepcion.jsp</result>
		</action>
		
		<action name="agregarExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="guardaExcepcion">
			<result name="success">/jsp/dda/admin/catalogos/excepciones/catalogoExcepciones.jsp</result>
		</action>
		
		<action name="eliminaExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="eliminaExcepcion">
			<result type="json"></result>
		</action>
		
		<action name="validaExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="validaExcepcion">
			<result type="json"></result>
		</action>
		
		<action name="llamaObtenExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="llamaObtenExcepcion">
			<result type="json"></result>
		</action>
		
		<action name="llamaActualizaExcepcion" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ExcepcionesTransAction" method="llamaActualizaExcepcion"> 
			<result type="json"></result>
		</action>
		
	</package>
	<!-- finalizan reportes para transacciones -->
	<package name="reportesTransacciones" namespace="/reporte/reportesTransacciones" extends="struts-default,json-default">
		<action name="index" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ReporteGeneralAction" >
			<result name="success">/jsp/dda/reporte/reportesTransacciones/reporteGeneral.jsp</result>
		</action>
		
		<action name="generarReporte" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ReporteGeneralAction" method="generarReporte">
			<result type="json">
				<param name="root">reporteGeneral</param>
				<param name="excludeProperties">aData</param>
			</result>			
		</action>

		<action name="reporteTransaccionesGeneralesExcel" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ReporteGeneralAction" method="generarExcel">
			<result name="success" type="stream">
				<param name="contentType">application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</param>
				<param name="inputName">fileInputStream</param>
				<param name="contentDisposition">attachment;filename="reporteTransaccionesGeneral_${fileName}.xlsx"</param>
			</result>
		</action>
		<action name="cerrar" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ReporteGeneralAction" method="cerrarReporte"> 
			<result type="json"></result>
		</action>
		<action name="reabrir" class="com.mx.dla.dda.admin.catalogos.transacciones.actions.ReporteGeneralAction" method="reabrirReporte"> 
			<result type="json"></result>
		</action>
	</package>
    
    
    <include file="struts-transaccion.xml"/>
    <include file="struts-license.xml"/>
</struts>